## emacs 25.2+1

=== debian/changelog ===
emacs (1:25.2+1-11) unstable; urgency=medium

  * Add (>= 1:25) restriction to emacs metapackage dependencies.
    Without this it was possible to end up with two empty metapackages
    installed instead of the expected metapackage and actual package.
    Thanks to Shin Yoshida for reporting the problem and Sven Joachim
    for noting the solution. (Closes: 906534)

  * Don't unexpectedly modify the byte order mark.  Add
    0014-Emacs-should-no-longer-unexpectedly-alter-the-byte-o.patch to
    fix the problem.  Thanks to Vincent Lefevre for reporting the
    problem and Eli Zaretskii for the patch. (Closes: 883434)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 26 Aug 2018 11:49:09 -0500

emacs (1:25.2+1-10) unstable; urgency=medium

  * Handle the emacs-{gtk,lucid,nox} doc dir transition manually.
    Before the unversioning, these packages were in a different source
    package (emacs-defaults) and were arch all.  Since
    dpkg-mainscript-helper can't hande "all to any" transitions
    (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813455), clean
    up manually in the preinsts.  Thanks to Sven Joachim for reporting
    the problem and indentifying the underlying cause.
    (Closes: 905555)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 12 Aug 2018 11:55:27 -0500

emacs (1:25.2+1-9) unstable; urgency=medium

  * Disable the eieio-test-37-obsolete-name-in-constructor test.  Its
    behavior is unpredictable, and it was causing some buildd builds
    to fail (cf. https://debbugs.gnu.org/24503).  Add
    0013-Disable-eieio-test-37-obsolete-name-in-constructor.patch to
    fix the problem, and thanks to Aaron M. Ucko for reporting it, and
    J. Smith for tracking down the upstream issue. (Closes: 879020)

  * Ensure /usr/share/doc/emacs-{gtk,lucid,nox} symlink is
    established.  Use dir_to_symlink to make sure the new symlink to
    emacs-common is correctly established if we're upgrading from the
    emacs-defaults packages that had a real directory.  Thanks to
    Andreas Beckmann for reporting the problem. (Closes: 903779)

  * Have emacs-{gtk,lucid,nox} replace all the related emacs25
    packages.  Add "emacs-gtk (<< 1:25), emacs-lucid (<< 1:25),
    emacs-nox (<< 1:25)" to the "Replaces:" for emacs-gtk,
    emacs-lucid, and emacs-nox to avoid conflicts over
    /usr/share/emacs/25.2/etc/DOC while unpacking.  Thanks to Axel
    Beckert for reporting the problem and Adrian Bunk and Sven Joachim
    for help with the solution. (Closes: 904957)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 04 Aug 2018 12:29:53 -0500

emacs (1:25.2+1-8) unstable; urgency=medium

  * Move unversioned emacs packages from experimental to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 29 Jul 2018 10:46:26 -0500

emacs (1:25.2+1-7) experimental; urgency=medium

  * Unversion the emacs packages.  Remove the major version from all
    of the packages.  The flexibility provided no longer appears worth
    the complexity given the more frequent upstream releases, and
    backward-compatability across them.

  * Update debian/patches for emacs25 to emacs migration.

  * Rename emacsXY to emacsXY-gtk.

  * Fix dbg package self-dependencies.

  * Stop versioning packages; change emacs25 to emacs.

  * Move mail-host-address and gnus-nntpserver-file to new
    00debian.el.

  * Move emacs binary metapackage to this package.  Add epoch so that
    new versions of the metapackage will be higher than the last
    standalone version (47.0).

  * Handle local emacs/site-lisp here instead of in emacsen-common.

  * Depend on emacsen-common (>= 3.0.0) This will complete the
    transfer of the emacs metapackage namespace to the emacs source
    package as a new concrete emacs flavor.

  * Add emacs23, emacs24, and emacs25 transitional packages.

  * debian/control: change priority extra to optional as per policy.

  * Have binary flavor packages depend on emacs-common for doc
    symlink.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 27 May 2018 10:57:34 -0500

emacs25 (25.2+1-6) unstable; urgency=high

  * Block remote code execution via enriched text.  Add
    0012-A-remote-execution-exploit-via-enriched-text-has-bee.patch to
    fix the problem.  Thanks to David Bremner for the alert and
    Salvatore Bonaccorso for reporting the problem to Debian.
    (Closes: 875447)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 11 Sep 2017 21:51:49 -0500

emacs25 (25.2+1-5) unstable; urgency=medium

  * Build with -O0 on arm64 to avoid FTBS.  Without this the build
    segfaults in marker.c when trying to construct c-by.el.
    cf. https://lists.gnu.org/archive/html/emacs-devel/2017-03/msg00798.html
    Thanks to Gianfranco Costamagna for reporting the bug and Barry
    Warsaw for suggesting the workaround. (Closes: 868165)

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 31 Jul 2017 23:34:05 -0500

emacs25 (25.2+1-4) unstable; urgency=medium

  * Disable eieio-test-method-order-list-6.  Its behavior is
    unpredictable, and it was causing the armhf build to fail:
      https://debbugs.gnu.org/27878
      https://debbugs.gnu.org/24503#21
    Add 0011-Disable-eieio-test-method-order-list-6.patch to fix the
    problem.  Thanks to Glen Morris for pointing out the previous report.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 30 Jul 2017 22:31:30 -0500

emacs25 (25.2+1-3) unstable; urgency=medium

  * Actually run tests by default (fix DEB_BUILD_OPTIONS nocheck test)
    Fix the inverted logic.  Thanks to John Paul Adrian Glaubitz for
    reporting the problem.  (Closes: 869328)

  * Completely remove gconf support.  Build --without-gconf for the
    emacs25 flavor (as we already do for lucid and nox), since GConf
    has been deprecated for years.  Thanks to intrigeri for reporting
    the issue. (Closes: 869085)

  * Fix README.Debian news entry for
    0008-Don-t-provide-openssl-s_client-as-an-option-for-ssl-.patch.

  * Fix memory alignment problem causing FTBS on m68k.  Thanks to John

