=== debian/control ===
Source: emacs
Section: editors
Priority: optional
Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 dbus-x11,
 gnupg-agent,
 libgif-dev | libungif4-dev,
 libtiff-dev,
 procps,
 xaw3dg-dev,
 libpng-dev, libjpeg-dev, libm17n-dev, libotf-dev,
 libgpm-dev [linux-any], libdbus-1-dev,
 autoconf, automake, autotools-dev, dpkg-dev (>> 1.10.0), quilt (>= 0.42),
 debhelper (>= 9), libxaw7-dev, sharutils, imagemagick, libgtk-3-dev,
 libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libmagick++-6.q16-dev,
 libacl1-dev,
 liboss4-salsa-dev [hurd-i386 kfreebsd-i386 kfreebsd-amd64],
 zlib1g-dev
Homepage: http://www.gnu.org/software/emacs/
Standards-Version: 3.7.2

Package: emacs
Architecture: all
Depends:
  emacs-gtk (>= 1:25) | emacs-lucid (>= 1:25) | emacs-nox (>= 1:25),
  ${misc:Depends}
Description: GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor.
 This is a metapackage that will always depend on the latest
 recommended Emacs variant (currently emacs-gtk).

Package: emacs-lucid
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-gtk, emacs-nox
Replaces: emacs-gtk, emacs-nox,
  emacs-gtk (<< 1:25), emacs-lucid (<< 1:25), emacs-nox (<< 1:25)
Description: GNU Emacs editor (with Lucid GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with support for a graphical user
 interface based on the Lucid toolkit (instead of the GTK+ interface
 provided by the emacs-gtk package).  Until some known GTK+
 problems are fixed, this version may help avoid crashing Emacs during
 an emacsclient disconnect.  See
 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567934 and
 https://bugzilla.gnome.org/show_bug.cgi?id=85715 for more
 information.

Package: emacs-lucid-dbg
Section: debug
Priority: optional
Architecture: any
Depends: emacs-lucid (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs-lucid
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs-lucid
 package.

Package: emacs-nox
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-gtk, emacs-lucid
Replaces: emacs-gtk, emacs-lucid,
  emacs-gtk (<< 1:25), emacs-lucid (<< 1:25), emacs-nox (<< 1:25)
Description: GNU Emacs editor (without GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs compiled without support for X,
 and provides only a text terminal interface.

Package: emacs-nox-dbg
Section: debug
Priority: optional
Architecture: any
Depends: emacs-nox (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs-nox
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs-nox
 package.

Package: emacs-gtk
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-non-dfsg
Conflicts: emacs-lucid, emacs-nox
Replaces: emacs-lucid, emacs-nox,
  emacs-gtk (<< 1:25), emacs-lucid (<< 1:25), emacs-nox (<< 1:25)
Description: GNU Emacs editor (with GTK+ GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with a graphical user interface
 based on GTK+ (instead of the Lucid toolkit provided by the
 emacs-lucid package).

Package: emacs-gtk-dbg
Section: debug
Priority: optional
Architecture: any
Depends: emacs-gtk (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for emacs-gtk
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains the debugging symbols for the emacs-gtk package.

Package: emacs-bin-common
Architecture: any
Depends: emacs-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-common
Architecture: all
Depends: emacsen-common (>= 3.0.0), install-info, ${shlibs:Depends}, ${misc:Depends}
Recommends: emacs-el
Suggests: emacs-el, emacs-common-non-dfsg, ncurses-term
Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
Breaks: apel (<< 10.8+0.20120427-4)
Description: GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-el
Architecture: all
Depends: emacs-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.

Package: emacs23
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-gtk (>= 1:25)
Description: GNU Emacs transitional package to emacs-gtk
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs23
 installed automatically upgrade to the new unversioned emacs-gtk
 package.

Package: emacs23-lucid
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-lucid (>= 1:25)
Description: GNU Emacs transitional package to emacs-lucid
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs23
 installed automatically upgrade to the new unversioned emacs-lucid
 package.

Package: emacs23-nox
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-nox (>= 1:25)
Description: GNU Emacs transitional package to emacs-nox
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs23
 installed automatically upgrade to the new unversioned emacs-nox
 package.

Package: emacs24
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-gtk (>= 1:25)
Description: GNU Emacs transitional package to emacs-gtk
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs24
 installed automatically upgrade to the new unversioned emacs-gtk
 package.

Package: emacs24-lucid
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-lucid (>= 1:25)
Description: GNU Emacs transitional package to emacs-lucid
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs24
 installed automatically upgrade to the new unversioned emacs-lucid
 package.

Package: emacs24-nox
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-nox (>= 1:25)
Description: GNU Emacs transitional package to emacs-nox
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs24
 installed automatically upgrade to the new unversioned emacs-nox
 package.

Package: emacs25
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-gtk (>= 1:25)
Description: GNU Emacs transitional package to emacs-gtk
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs25
 installed automatically upgrade to the new unversioned emacs-gtk
 package.

Package: emacs25-lucid
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-lucid (>= 1:25)
Description: GNU Emacs transitional package to emacs-lucid
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs25
 installed automatically upgrade to the new unversioned emacs-lucid
 package.

Package: emacs25-nox
Section: oldlibs
Priority: optional
Architecture: all
Depends: emacs-nox (>= 1:25)
Description: GNU Emacs transitional package to emacs-nox
 GNU Emacs is the extensible self-documenting text editor.  This
 package is a transitional package to ensure that systems with emacs25
 installed automatically upgrade to the new unversioned emacs-nox
 package.
