## emacs 26.1+1

=== debian/changelog ===
emacs (1:26.1+1-4) unstable; urgency=high

  * Update the EPLA packaging key (previous key expires 2019-09-23) via
    the upstream commit f16785d361097df9fddfcc0b60ae6f0d92e7e911.  Add the
    old and new keyrings to debian/ and debian/source/include-binaries
    since debian/patches/ can't handle git binary diffs.  Thanks to Stefan
    Monnier for reporting the problem and providing the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 Sep 2019 15:02:23 -0500

emacs (1:26.1+1-3.3) unstable; urgency=medium

  * Non-maintainer upload.

  * Drop transitional versioned emacsXX* packages.

  * Cherry-pick 408bf21a8c and 95b77b0451 to fix crashes with color fonts,
    thanks to Vincent Lefevre.  (Closes: #929567)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Jul 2019 20:42:27 +0200

emacs (1:26.1+1-3.2) unstable; urgency=medium

  * Non-maintainer upload.

  * Add more transitional packages for ancient versioned packages
    emacs21{,-nox}, emacs22{,-gtk,-nox}.  (Closes: #916758)

  * Drop -dbg packages in favor of autogenerated -dbgsym packages.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Feb 2019 15:42:30 +0100

emacs (1:26.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  * Really handle the emacs-{gtk,lucid,nox} doc dir transition manually.
    This cannot be handled by 'dpkg-maintscript-helper dir_to_symlink' because
    of the arch:all to arch:any switch at the same time (bug #813455).
    Do not forcibly remove the old docdir in the preinst to avoid bad effects
    on other packages. Instead, in the postinst, replace the now empty
    directory with the intended symlink.  (Closes: #911616)

  * emacs-common: Add Breaks against all (versioned) emacs binary packages
    predating the unversioning in 1:25.

  * emacs-common: Add Breaks against known incompatible packages:
    - edb  (Closes: #875430)
    - egg  (Closes: #910925)

  * Add Vcs-* URLs.  (Closes: #690771)

  * Cherry-pick 34b4da37 to fix a test failure.  (Closes: #918646)

  * Clean-up debian/control.

  * Use https:// URLs and update FSF address.

  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 28 Jan 2019 14:18:17 +0100

emacs (1:26.1+1-3) unstable; urgency=medium

  * Recommend mailutils instead of depending on it.
    (Closes: 917245, 916986)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 26 Dec 2018 13:54:16 -0600

emacs (1:26.1+1-2) unstable; urgency=medium

  * Update emacs metapackage to depend on >= 1:26.1.

  * Enable support for systemd socket activation.  Thanks to Ansgar
    Burchardt for the report. (Closes: 916760)

 -- Rob Browning <rlb@defaultvalue.org>  Thu, 20 Dec 2018 10:49:20 -0600

emacs (1:26.1+1-1) experimental; urgency=medium

  * Merge upstream version 26.1. (Closes: #907997)

  * Update debian/copyright version for 26.1.

  * Use more secure mailutils instead of internal movemail.  See the
    26.1 NEWS for more information.

  * Add debian/copyright entries for 26.1.

  * Fix epg-tests with upstream patch for newer GnuPG.  Add
    0009-An-epg-test-failure-with-recent-GnuPG-versions-has-b.patch to
    fix the problem.

  * Mark the vc-bzr-test-faulty-bzr-autoloads as unstable for now.
    Add 0010-Mark-vc-bzr-test-fauilt-bzr-autoloads-as-unstable-fo.patch to
    disable the test for now.  See the patch header for a description
    of the error.

  * tramp-test42-remote-load-path: regexp-quote directory.  Add
    0011-tramp-test42-remote-load-path-regexp-quote-directory.patch to
    fix the problem.  Otherwise the test may fail for some paths like
    those seen in an sbuild chroot,
    e.g. build/emacs-i87jK3/emacs-26.1+1/...

  * ibuffer-filter-inclusion-3: regexp-quote directory.  Add
    0012-ibuffer-filter-inclusion-3-regexp-quote-directory.patch to
    fix the problem.  Otherwise the test may fail for some paths like
    those seen in an sbuild chroot,
    e.g. build/emacs-i87jK3/emacs-26.1+1/...

  * Mark echo-server-with-dns test as :unstable for now.  It fails
    inside a Debian sbuild chroot.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 17 Dec 2018 16:41:12 -0600
