## emacs 26.1.3

=== debian/changelog ===
emacs (1:26.1.3-deepin1) unstable; urgency=medium

  * Add loongarch support.

 -- yanghaibo <yanghaibo@uniontech.com>  Wed, 22 Feb 2023 13:55:03 +0800

emacs (1:26.1.2-deepin1) unstable; urgency=medium

  * Fix CVE-2022-45939.

 -- yanghaibo <yanghaibo@uniontech.com>  Wed, 22 Feb 2023 10:39:49 +0800

emacs (1:26.1.1-1+dde) stable; urgency=medium

  * add sw64 porting.

 -- Zhang Feilong <zhangfeilong@uniontech.com>  Fri, 19 Jun 2020 15:59:13 +0800

emacs (1:26.1+1-3.2+deb10u2) buster; urgency=medium

  * Don't crash with OpenPGP User IDs with no e-mail address.  Add
    0015-Avoid-elisp-crash-for-OpenPGP-User-IDs-with-no-e-mai.patch to
    address the issue.  Thanks to Daniel Kahn Gillmor for the upstream
    fix, and reminders to include it. (Closes: #919642)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 22 Jan 2021 19:42:27 -0600

emacs (1:26.1+1-3.2+deb10u1) buster; urgency=high

  * Update the EPLA packaging key (previous key expires 2019-09-23) via
    the upstream commit f16785d361097df9fddfcc0b60ae6f0d92e7e911.  Add the
    old and new keyrings to debian/ and debian/source/include-binaries
    since debian/patches/ can't handle git binary diffs.  Thanks to Stefan
    Monnier for reporting the problem and providing the patch.

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 04 Sep 2019 21:35:24 -0500
