=== debian/rules ===
--- 
+++ 
@@ -112,9 +112,6 @@
   joblimit := 1
 endif
 
-target := $(DEB_HOST_GNU_TYPE)
-movemail_bin := usr/lib/emacs/$(runtime_ver)/$(target)/movemail
-
 # Info files that are going to show up in the main dir.
 main_dir_info_files := efaq.info
 
@@ -126,7 +123,6 @@
 persistent_autogen_install_files :=
 
 nonpersistent_autogen_install_files := \
-  debian/emacs-bin-common.lintian-overrides \
   debian/emacs-bin-common.postinst \
   debian/emacs-bin-common.prerm \
   debian/emacs-common.README.Debian \
@@ -134,14 +130,11 @@
   debian/emacs-common.prerm \
   debian/emacs-nox.lintian-overrides \
   debian/emacs-nox.postinst \
-  debian/emacs-nox.preinst \
   debian/emacs-nox.prerm \
   debian/emacs-lucid.lintian-overrides \
   debian/emacs-lucid.postinst \
-  debian/emacs-lucid.preinst \
   debian/emacs-lucid.prerm \
   debian/emacs-gtk.lintian-overrides \
-  debian/emacs-gtk.preinst \
   debian/emacs-gtk.postinst \
   debian/emacs-gtk.prerm
 
@@ -204,13 +197,20 @@
     -e "s|\@MENU_VERSION\@|$(menu_ver)|go;" \
     -e "s|\@X_SUPPORT\@|$(xsupport)|go;" \
     -e "s|\@BIN_PRIORITY\@|$(bin_priority)|go;" \
-    -e "s|\@MOVEMAIL_BIN\@|$(movemail_bin)|go;" \
       < $(1) > $(2)
 endef
 
 %:
-	dh $@ --parallel
+	dh $@
 
 check-vars:
 	@echo "src_name: $(src_name)"
 	@echo "upstream_ver: $(upstream_ver)"
+	@echo "debian_ver: $(debian_ver)"
+	@echo "debsrc_ver: $(debsrc_ver)"
+	@echo "debian_rev: $(debian_rev)"
+	@echo "runtime_ver: $(runtime_ver)"
+	@echo "major_ver: $(major_ver)"
+	@echo "minor_ver: $(minor_ver)"
+
+.PHONY: check-autogen
